Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.grid.fastgridcell
Class GridCellQuadPortrayal

    java.lang.Object
      sim.portrayal3d.grid.fastgridcell.GridCellQuadPortrayal

All Implemented Interfaces:
  Portrayal, java.io.Serializable

Direct Known Subclasses:
  MeshCellPortrayal, TileGridCellPortrayal

public abstract class GridCellQuadPortrayal
extends java.lang.Object
implements Portrayal

See Also:
  Serialized Form

Constructor Summary
`GridCellQuadPortrayal()`

Method Summary
`Inspector` | `getInspector(LocationWrapper wrapper, GUIState state)` Provide an inspector for an object.
`java.lang.String` | `getName(LocationWrapper wrapper)` Returns a name for the given object that is useful for a human to distinguish it from other objects.
`abstract void` | `setData(GridCellInfo gridCell, float[] coordinates, float[] colors, int quadIndex)`
`boolean` | `setSelected(LocationWrapper wrapper, boolean selected)` Change the portrayal state to reflect the fact that you've been selected or not selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridCellQuadPortrayal

    public GridCellQuadPortrayal()

Method Detail

### setData

    public abstract void setData(GridCellInfo gridCell,
                                 float[] coordinates,
                                 float[] colors,
                                 int quadIndex)

### getName

    public java.lang.String getName(LocationWrapper wrapper)

  Description copied from interface: `Portrayal`
  Returns a name for the given object that is useful for a human to distinguish it from other objects. A simple default would be just to return "" + object.

  Specified by:
    `getName` in interface `Portrayal`

### setSelected

    public boolean setSelected(LocationWrapper wrapper,
                               boolean selected)

  Description copied from interface: `Portrayal`
  Change the portrayal state to reflect the fact that you've been selected or not selected. Always return true, except if you've received a setSelected(true) and in fact do not wish to be selectable, in which case return false in that sole situation.

  Specified by:
    `setSelected` in interface `Portrayal`

### getInspector

    public Inspector getInspector(LocationWrapper wrapper,
                                  GUIState state)

  Description copied from interface: `Portrayal`
  Provide an inspector for an object.

  Specified by:
    `getInspector` in interface `Portrayal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD